package com.zipcodewilmington.productmanager;

import com.zipcodewilmington.productmanager.utils.Console;
import com.zipcodewilmington.productmanager.utils.MockConsole;
import org.junit.Assert;
import org.junit.Test;

/**
 * @author leon on 15/11/2018.
 */
public class ConsoleTest {
    @Test
    public void testGetStringInput() {
        // given
        String prompt = "Let's test .getStringInput()";
        String expected = "This is my user input";
        Console console = new MockConsole(expected, System.out);

        // when
        String actual = console.getStringInput(prompt);

        // then
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void testGetDoubleInput() {
        // given
        String prompt = "Let's test .getDoubleInput()";
        String userInput = "25.986";
        Double expected = Double.parseDouble(userInput);
        Console console = new MockConsole(userInput, System.out);

        // when
        Double actual = console.getDoubleInput(prompt);

        // then
        Assert.assertEquals(expected, actual);
    }


    @Test
    public void testGetIntegerInput() {
        // given
        String prompt = "Let's test .getIntegerInput()";
        String userInput = "25";
        Integer expected = Integer.parseInt(userInput);
        Console console = new MockConsole(userInput, System.out);

        // when
        Integer actual = console.getIntegerInput(prompt);

        // then
        Assert.assertEquals(expected, actual);
    }
}
