package com.zipcodewilmington.productmanager;

import com.zipcodewilmington.productmanager.inventory.Product;
import org.junit.Assert;
import org.junit.Test;

/**
 * Created by leon on 1/10/18.
 */
public class ProductTest {
    @Test
    public void testConstruction() {
        // given
        Long expectedId = 0L;
        Double expectedPrice = 2.5;
        Integer expectedQuantity = 5;

        // when
        Product product = new Product(expectedId, expectedPrice, expectedQuantity);

        // then
        Assert.assertEquals(expectedId, product.getId());
        Assert.assertEquals(expectedPrice, product.getPrice());
        Assert.assertEquals(expectedQuantity, product.getQuantity());
    }

    @Test
    public void testNullaryConstruction() {
        // given
        // when
        Product product = new Product();

        // Then
        Assert.assertNull(product.getId());
        Assert.assertNull(product.getPrice());
        Assert.assertNull(product.getQuantity());
    }

    @Test
    public void testSetId() {
        // Given
        Long expected = 0L;
        Product product = new Product();

        // when
        product.setId(expected);

        // then
        Assert.assertEquals(expected, product.getId());
    }

    @Test
    public void testSetPrice() {
        // Given
        Double expected = 10.5;
        Product product = new Product();

        // when
        product.setPrice(expected);

        // then
        Assert.assertEquals(expected, product.getPrice());
    }

    @Test
    public void testSetQuantity() {
        // given
        Integer expected = 15;
        Product product = new Product();

        // when
        product.setQuantity(expected);

        // then
        Assert.assertEquals(expected, product.getQuantity());
    }

    @Test
    public void testToString1() {
        // given
        Long expectedId = 0L;
        Double expectedPrice = 2.5;
        Integer expectedQuantity = 5;

        // when
        Product product = new Product(expectedId, expectedPrice, expectedQuantity);

        // then
        Assert.assertEquals(product.toString(), "Product{id=0, price=2.5, quantity=5}");
    }

    @Test
    public void testToString2() {
        // given
        Long expectedId = 0L;
        Double expectedPrice = 7.5;
        Integer expectedQuantity = 5;

        // when
        Product product = new Product(expectedId, expectedPrice, expectedQuantity);

        // then
        Assert.assertEquals(product.toString(), "Product{id=0, price=7.5, quantity=5}");
    }
}
