package com.zipcodewilmington.productmanager.inventory;

import org.junit.Assert;
import org.junit.Test;

import java.util.ArrayList;
import java.util.LinkedList;
import java.util.List;

/**
 * @author leon on 15/11/2018.
 */
public class InventoryConstructorTest {
    @Test
    public void testConstructionWithArrayList() {
        // given
        List<Product> expected = new ArrayList<Product>();
        Inventory inventory = new Inventory(expected);

        // when
        List<Product> actual= inventory.getProductList();

        // then
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void testConstructionWithLinkedList() {
        // given
        List<Product> expected = new LinkedList<Product>();
        Inventory inventory = new Inventory(expected);

        // when
        List<Product> actual= inventory.getProductList();

        // then
        Assert.assertEquals(expected, actual);
    }


    @Test
    public void testNullaryConstruction() {
        // given
        Inventory inventory = new Inventory();

        // when
        List<Product> actual= inventory.getProductList();

        // then
        Assert.assertNotNull(actual);
    }
}
