package com.zipcodewilmington.productmanager.inventorymanager;

import com.zipcodewilmington.productmanager.inventory.Inventory;
import com.zipcodewilmington.productmanager.inventory.InventoryManager;
import com.zipcodewilmington.productmanager.utils.Console;
import org.junit.Assert;
import org.junit.Test;

/**
 * @author leon on 15/11/2018.
 */
public class InventoryManagerConstructorTest {
    @Test
    public void constructionWithInventoryTest() {
        // given
        Inventory inventory = new Inventory();

        // when
        InventoryManager inventoryManager = new InventoryManager(inventory, null);

        // then
        Assert.assertEquals(inventory, inventoryManager.getInventory());
    }

    @Test
    public void constructionWithConsoleTest() {
        // given
        Console console = new Console();

        // when
        InventoryManager inventoryManager = new InventoryManager(null, console);

        // then
        Assert.assertEquals(console, inventoryManager.getConsole());
    }

    @Test
    public void nullaryConstructionTest() {
        // given
        // when
        InventoryManager inventoryManager = new InventoryManager();

        // then
        Assert.assertNotNull(inventoryManager.getInventory());
        Assert.assertNotNull(inventoryManager.getConsole());
    }
}
