package com.zipcodewilmington.productmanager.inventorymanager;

import com.zipcodewilmington.productmanager.inventory.Inventory;
import com.zipcodewilmington.productmanager.inventory.InventoryManager;
import com.zipcodewilmington.productmanager.inventory.Product;
import com.zipcodewilmington.productmanager.utils.Console;
import com.zipcodewilmington.productmanager.utils.MockConsole;
import org.junit.Assert;
import org.junit.Test;

/**
 * @author leon on 15/11/2018.
 */
public class InventoryManagerRemoveTest {
    @Test
    public void removeTest() {
        // given
        Long productId = 0L;
        Inventory inventory = new Inventory();
        inventory.add(new Product(productId, null, null));
        Console console = new MockConsole(productId.toString(), System.out);
        InventoryManager inventoryManager = new InventoryManager(inventory, console);

        // when
        inventoryManager.viewInventory();
        inventoryManager.remove();

        // then
        Assert.assertNull(inventoryManager.getInventory().findById(productId));
    }
}
